%global commit 59d929d1053e661f092d9ed8f07060aeb96d2405
%global commitdate 20190418
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           mx5000tools
Version:        0.1.2
Release:        2.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Tools for the MX5000 series keyboard
License:        GPLv2+
URL:            https://github.com/jwrdegoede/mx5000tools
Source0:        https://github.com/jwrdegoede/mx5000tools/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  gcc netpbm-devel libtool
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
mx5000tools are tools to control the extra features on the Logitech MX
5000 Bluetooth cordless keyboard. 


%package        libs
Summary:        MX5000 series keyboard access library

%description    libs
The %{name}-libs package contains libmx5000 which is used by mx5000tools
and possibly other applications to access the Logitech MX 5000 Bluetooth
cordless keyboard.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{commit}
autoreconf -ivf


%build
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%{_bindir}/mx5000-tool

%files libs
%license COPYING
%doc README
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Apr 18 2019 Hans de Goede <hdegoede@redhat.com> - 0.1.2-2.20190418git59d929d
- Add BuildRequires: gcc
- Drop obsolete Group tag from -devel subpackage
- New upstream git snapshot which drops the inclusion of the (unused)
  revoLUTIONconTROL sources, as those are under a dubious license
- The new git snapshot also fixes various rpmlint warnings and errors

* Sun Apr  7 2019 Hans de Goede <hdegoede@redhat.com> - 0.1.2-1.20190407git4967881
- Initial mx5000tools Fedora package
